<?xml version="1.0" encoding="UTF-8" ?>

<Form version="1.3" maxVersion="1.6" type="org.netbeans.modules.form.forminfo.JDialogFormInfo">
  <Properties>
    <Property name="defaultCloseOperation" type="int" value="0"/>
    <Property name="title" type="java.lang.String" value="Saisie/Modification d&apos;un Code Nomenclature"/>
    <Property name="minimumSize" type="java.awt.Dimension" editor="org.netbeans.beaninfo.editors.DimensionEditor">
      <Dimension value="[550, 580]"/>
    </Property>
  </Properties>
  <SyntheticProperties>
    <SyntheticProperty name="formSizePolicy" type="int" value="0"/>
    <SyntheticProperty name="generateSize" type="boolean" value="false"/>
    <SyntheticProperty name="generateCenter" type="boolean" value="true"/>
  </SyntheticProperties>
  <AuxValues>
    <AuxValue name="FormSettings_autoResourcing" type="java.lang.Integer" value="0"/>
    <AuxValue name="FormSettings_autoSetComponentName" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_generateFQN" type="java.lang.Boolean" value="true"/>
    <AuxValue name="FormSettings_generateMnemonicsCode" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_i18nAutoMode" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_layoutCodeTarget" type="java.lang.Integer" value="2"/>
    <AuxValue name="FormSettings_listenerGenerationStyle" type="java.lang.Integer" value="0"/>
    <AuxValue name="FormSettings_variablesLocal" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_variablesModifier" type="java.lang.Integer" value="2"/>
  </AuxValues>

  <Layout>
    <DimensionLayout dim="0">
      <Group type="103" groupAlignment="0" attributes="0">
          <Component id="tfTitre" alignment="0" max="32767" attributes="0"/>
          <Group type="102" attributes="0">
              <EmptySpace min="-2" pref="6" max="-2" attributes="0"/>
              <Group type="103" groupAlignment="0" attributes="0">
                  <Component id="jLabel21" alignment="1" max="-2" attributes="0"/>
                  <Component id="jLabel22" alignment="1" max="-2" attributes="1"/>
                  <Component id="jLabel17" alignment="1" max="-2" attributes="1"/>
                  <Component id="jLabel1" alignment="1" min="-2" max="-2" attributes="0"/>
                  <Component id="jLabel16" alignment="1" max="-2" attributes="1"/>
              </Group>
              <EmptySpace type="separate" max="-2" attributes="0"/>
              <Group type="103" groupAlignment="0" attributes="0">
                  <Component id="typeCode" alignment="0" min="-2" pref="181" max="-2" attributes="0"/>
                  <Component id="tfMontant" alignment="0" min="-2" max="-2" attributes="0"/>
                  <Group type="102" alignment="0" attributes="0">
                      <Component id="checkRecherche" min="-2" max="-2" attributes="0"/>
                      <EmptySpace type="separate" max="-2" attributes="0"/>
                      <Component id="check3Cmp" min="-2" max="-2" attributes="0"/>
                      <EmptySpace type="separate" max="-2" attributes="0"/>
                      <Component id="checkMonopole" min="-2" max="-2" attributes="0"/>
                      <EmptySpace type="separate" max="-2" attributes="0"/>
                      <Component id="checkAutres" min="-2" max="-2" attributes="0"/>
                  </Group>
                  <Group type="103" alignment="0" groupAlignment="1" max="-2" attributes="0">
                      <Group type="102" attributes="0">
                          <Component id="btnAnnuler" min="-2" pref="96" max="-2" attributes="0"/>
                          <EmptySpace max="-2" attributes="0"/>
                          <Component id="btnValider" min="-2" pref="96" max="-2" attributes="0"/>
                      </Group>
                      <Component id="jScrollPane1" max="32767" attributes="2"/>
                      <Component id="tfLibelle" alignment="0" max="-2" attributes="2"/>
                  </Group>
              </Group>
              <EmptySpace pref="28" max="32767" attributes="0"/>
          </Group>
          <Group type="102" alignment="1" attributes="0">
              <EmptySpace max="-2" attributes="0"/>
              <Component id="jPanel1" max="32767" attributes="0"/>
              <EmptySpace max="32767" attributes="0"/>
          </Group>
      </Group>
    </DimensionLayout>
    <DimensionLayout dim="1">
      <Group type="103" groupAlignment="0" attributes="0">
          <Group type="102" alignment="1" attributes="0">
              <Component id="tfTitre" min="-2" max="-2" attributes="0"/>
              <EmptySpace max="-2" attributes="0"/>
              <Component id="jPanel1" min="-2" max="-2" attributes="0"/>
              <EmptySpace type="separate" max="-2" attributes="0"/>
              <Group type="103" groupAlignment="3" attributes="0">
                  <Component id="jLabel21" alignment="3" min="-2" max="-2" attributes="0"/>
                  <Component id="tfLibelle" alignment="3" min="-2" max="-2" attributes="0"/>
              </Group>
              <EmptySpace type="separate" max="-2" attributes="0"/>
              <Group type="103" groupAlignment="3" attributes="0">
                  <Component id="jLabel16" alignment="3" min="-2" max="-2" attributes="0"/>
                  <Component id="typeCode" alignment="3" min="-2" max="-2" attributes="0"/>
              </Group>
              <EmptySpace type="separate" min="-2" max="-2" attributes="0"/>
              <Group type="103" groupAlignment="3" attributes="0">
                  <Component id="jLabel17" alignment="3" min="-2" max="-2" attributes="0"/>
                  <Component id="tfMontant" alignment="3" min="-2" max="-2" attributes="0"/>
              </Group>
              <EmptySpace type="separate" max="-2" attributes="0"/>
              <Group type="103" groupAlignment="3" attributes="0">
                  <Component id="checkRecherche" alignment="3" min="-2" max="-2" attributes="0"/>
                  <Component id="check3Cmp" alignment="3" min="-2" max="-2" attributes="0"/>
                  <Component id="checkMonopole" alignment="3" min="-2" max="-2" attributes="0"/>
                  <Component id="checkAutres" alignment="3" min="-2" max="-2" attributes="0"/>
                  <Component id="jLabel1" alignment="3" min="-2" max="-2" attributes="0"/>
              </Group>
              <EmptySpace min="-2" pref="21" max="-2" attributes="0"/>
              <Group type="103" groupAlignment="0" attributes="0">
                  <Component id="jLabel22" min="-2" max="-2" attributes="0"/>
                  <Component id="jScrollPane1" min="-2" pref="200" max="-2" attributes="0"/>
              </Group>
              <EmptySpace type="separate" max="-2" attributes="0"/>
              <Group type="103" groupAlignment="3" attributes="0">
                  <Component id="btnValider" alignment="3" min="-2" max="-2" attributes="0"/>
                  <Component id="btnAnnuler" alignment="3" min="-2" max="-2" attributes="0"/>
              </Group>
              <EmptySpace max="-2" attributes="0"/>
          </Group>
      </Group>
    </DimensionLayout>
  </Layout>
  <SubComponents>
    <Component class="javax.swing.JButton" name="btnAnnuler">
      <Properties>
        <Property name="text" type="java.lang.String" value="Annuler"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JButton" name="btnValider">
      <Properties>
        <Property name="text" type="java.lang.String" value="Valider"/>
      </Properties>
    </Component>
    <Container class="javax.swing.JScrollPane" name="jScrollPane1">
      <AuxValues>
        <AuxValue name="autoScrollPane" type="java.lang.Boolean" value="true"/>
      </AuxValues>

      <Layout class="org.netbeans.modules.form.compat2.layouts.support.JScrollPaneSupportLayout"/>
      <SubComponents>
        <Component class="javax.swing.JTextArea" name="areaDetail">
          <Properties>
            <Property name="columns" type="int" value="15"/>
            <Property name="lineWrap" type="boolean" value="true"/>
            <Property name="rows" type="int" value="5"/>
          </Properties>
        </Component>
      </SubComponents>
    </Container>
    <Component class="javax.swing.JLabel" name="jLabel16">
      <Properties>
        <Property name="horizontalAlignment" type="int" value="4"/>
        <Property name="text" type="java.lang.String" value="Type code"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JComboBox" name="typeCode">
      <Properties>
        <Property name="model" type="javax.swing.ComboBoxModel" editor="org.netbeans.modules.form.editors2.ComboBoxModelEditor">
          <StringArray count="4">
            <StringItem index="0" value="Item 1"/>
            <StringItem index="1" value="Item 2"/>
            <StringItem index="2" value="Item 3"/>
            <StringItem index="3" value="Item 4"/>
          </StringArray>
        </Property>
      </Properties>
    </Component>
    <Component class="javax.swing.JLabel" name="jLabel17">
      <Properties>
        <Property name="horizontalAlignment" type="int" value="4"/>
        <Property name="text" type="java.lang.String" value="Montant"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JTextField" name="tfMontant">
      <Properties>
        <Property name="horizontalAlignment" type="int" value="4"/>
        <Property name="preferredSize" type="java.awt.Dimension" editor="org.netbeans.beaninfo.editors.DimensionEditor">
          <Dimension value="[96, 28]"/>
        </Property>
      </Properties>
    </Component>
    <Component class="javax.swing.JTextField" name="tfTitre">
      <Properties>
        <Property name="editable" type="boolean" value="false"/>
        <Property name="background" type="java.awt.Color" editor="org.netbeans.beaninfo.editors.ColorEditor">
          <Color blue="ff" green="99" red="99" type="rgb"/>
        </Property>
        <Property name="foreground" type="java.awt.Color" editor="org.netbeans.beaninfo.editors.ColorEditor">
          <Color blue="ff" green="ff" red="ff" type="rgb"/>
        </Property>
        <Property name="horizontalAlignment" type="int" value="0"/>
        <Property name="text" type="java.lang.String" value="Saisie d&apos;un nouveau code nomenclature"/>
      </Properties>
      <Events>
        <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="tfTitreActionPerformed"/>
      </Events>
    </Component>
    <Component class="javax.swing.JLabel" name="jLabel21">
      <Properties>
        <Property name="horizontalAlignment" type="int" value="4"/>
        <Property name="text" type="java.lang.String" value="Libell&#xe9;"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JTextField" name="tfLibelle">
      <Properties>
        <Property name="maximumSize" type="java.awt.Dimension" editor="org.netbeans.beaninfo.editors.DimensionEditor">
          <Dimension value="[413, 28]"/>
        </Property>
        <Property name="preferredSize" type="java.awt.Dimension" editor="org.netbeans.beaninfo.editors.DimensionEditor">
          <Dimension value="[413, 28]"/>
        </Property>
      </Properties>
      <Events>
        <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="tfLibelleActionPerformed"/>
      </Events>
    </Component>
    <Component class="javax.swing.JLabel" name="jLabel22">
      <Properties>
        <Property name="horizontalAlignment" type="int" value="4"/>
        <Property name="text" type="java.lang.String" value="D&#xe9;tail"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JCheckBox" name="checkRecherche">
      <Properties>
        <Property name="text" type="java.lang.String" value="Recherche"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JCheckBox" name="check3Cmp">
      <Properties>
        <Property name="text" type="java.lang.String" value="3 CMP"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JCheckBox" name="checkMonopole">
      <Properties>
        <Property name="text" type="java.lang.String" value="Monopole"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JCheckBox" name="checkAutres">
      <Properties>
        <Property name="text" type="java.lang.String" value="Autres"/>
      </Properties>
    </Component>
    <Container class="javax.swing.JPanel" name="jPanel1">

      <Layout class="org.netbeans.modules.form.compat2.layouts.DesignFlowLayout"/>
      <SubComponents>
        <Container class="javax.swing.JPanel" name="jPanel2">
          <Properties>
            <Property name="maximumSize" type="java.awt.Dimension" editor="org.netbeans.beaninfo.editors.DimensionEditor">
              <Dimension value="[100, 70]"/>
            </Property>
            <Property name="minimumSize" type="java.awt.Dimension" editor="org.netbeans.beaninfo.editors.DimensionEditor">
              <Dimension value="[100, 70]"/>
            </Property>
          </Properties>

          <Layout>
            <DimensionLayout dim="0">
              <Group type="103" groupAlignment="0" attributes="0">
                  <Group type="102" attributes="0">
                      <EmptySpace max="-2" attributes="0"/>
                      <Group type="103" groupAlignment="0" attributes="0">
                          <Component id="tfDomaine" linkSize="2" min="-2" pref="66" max="-2" attributes="0"/>
                          <Component id="jLabel18" linkSize="2" alignment="0" min="-2" max="-2" attributes="0"/>
                      </Group>
                  </Group>
              </Group>
            </DimensionLayout>
            <DimensionLayout dim="1">
              <Group type="103" groupAlignment="0" attributes="0">
                  <Group type="102" attributes="0">
                      <EmptySpace max="-2" attributes="0"/>
                      <Component id="jLabel18" min="-2" max="-2" attributes="0"/>
                      <EmptySpace max="-2" attributes="0"/>
                      <Component id="tfDomaine" min="-2" max="-2" attributes="0"/>
                  </Group>
              </Group>
            </DimensionLayout>
          </Layout>
          <SubComponents>
            <Component class="javax.swing.JLabel" name="jLabel18">
              <Properties>
                <Property name="horizontalAlignment" type="int" value="0"/>
                <Property name="text" type="java.lang.String" value="Domaine"/>
              </Properties>
            </Component>
            <Component class="javax.swing.JTextField" name="tfDomaine">
              <Properties>
                <Property name="horizontalAlignment" type="int" value="0"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="tfDomaineActionPerformed"/>
              </Events>
            </Component>
          </SubComponents>
        </Container>
        <Container class="javax.swing.JPanel" name="jPanel3">
          <Properties>
            <Property name="maximumSize" type="java.awt.Dimension" editor="org.netbeans.beaninfo.editors.DimensionEditor">
              <Dimension value="[100, 70]"/>
            </Property>
            <Property name="minimumSize" type="java.awt.Dimension" editor="org.netbeans.beaninfo.editors.DimensionEditor">
              <Dimension value="[100, 70]"/>
            </Property>
          </Properties>

          <Layout>
            <DimensionLayout dim="0">
              <Group type="103" groupAlignment="0" attributes="0">
                  <Group type="102" alignment="1" attributes="0">
                      <EmptySpace max="32767" attributes="0"/>
                      <Group type="103" groupAlignment="2" attributes="0">
                          <Component id="jLabel19" alignment="2" min="-2" pref="66" max="-2" attributes="0"/>
                          <Component id="tfFamille" alignment="2" min="-2" pref="66" max="-2" attributes="0"/>
                      </Group>
                      <EmptySpace min="0" pref="0" max="-2" attributes="0"/>
                  </Group>
              </Group>
            </DimensionLayout>
            <DimensionLayout dim="1">
              <Group type="103" groupAlignment="0" attributes="0">
                  <Group type="102" alignment="0" attributes="0">
                      <EmptySpace max="-2" attributes="0"/>
                      <Component id="jLabel19" min="-2" max="-2" attributes="0"/>
                      <EmptySpace max="-2" attributes="0"/>
                      <Component id="tfFamille" min="-2" max="-2" attributes="0"/>
                      <EmptySpace min="0" pref="0" max="-2" attributes="0"/>
                  </Group>
              </Group>
            </DimensionLayout>
          </Layout>
          <SubComponents>
            <Component class="javax.swing.JTextField" name="tfFamille">
              <Properties>
                <Property name="horizontalAlignment" type="int" value="0"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="tfFamilleActionPerformed"/>
              </Events>
            </Component>
            <Component class="javax.swing.JLabel" name="jLabel19">
              <Properties>
                <Property name="horizontalAlignment" type="int" value="0"/>
                <Property name="text" type="java.lang.String" value="Famille"/>
                <Property name="maximumSize" type="java.awt.Dimension" editor="org.netbeans.beaninfo.editors.DimensionEditor">
                  <Dimension value="[56, 16]"/>
                </Property>
                <Property name="minimumSize" type="java.awt.Dimension" editor="org.netbeans.beaninfo.editors.DimensionEditor">
                  <Dimension value="[56, 16]"/>
                </Property>
                <Property name="preferredSize" type="java.awt.Dimension" editor="org.netbeans.beaninfo.editors.DimensionEditor">
                  <Dimension value="[56, 16]"/>
                </Property>
              </Properties>
            </Component>
          </SubComponents>
        </Container>
      </SubComponents>
    </Container>
    <Component class="javax.swing.JLabel" name="jLabel1">
      <Properties>
        <Property name="text" type="java.lang.String" value="Type achat"/>
      </Properties>
    </Component>
  </SubComponents>
</Form>
